Subject: RE: [Tsvwg] draft-ietf-tsvwg-sctpimpguide-01.txt:

From: [email-masked]
Date: Tue, 6 Nov 2001 18:20:23 +0200

Hi Jon!

	See some comments below...

> -----Original Message-----
> From: ext Jon Grimm [mailto:[email-masked]]
> Sent: 06. November 2001 18:04
> To: tsvwg
> Subject: [Tsvwg] draft-ietf-tsvwg-sctpimpguide-01.txt:
> 
> 
> > 2.1 Incorrect error type during chunk processing.
> > 
> > 2.1.1 Description of the problem
> > 
> >    A typo was discovered in [RFC2960] that incorrectly specifies
> >    an action to be taken when processing chunks of unknown identity.
> > 
> > 2.1.2 Text changes to the document
> >    ---------
> > 
> > Stewart et.al.                                              
>     [Page 2]
> > 
> > Internet Draft             SCTP Implementors Guide          
>    June 2001
> > 
> >    Old text: (Section 3.2)
> >    ---------
> > 
> >    01 - Stop processing this SCTP packet and discard it, do 
> not process
> >         any further chunks within it, and report the unrecognized
> >         parameter in an 'Unrecognized Parameter Type' (in either an
> >         ERROR or in the INIT ACK).
> > 
> >    ---------
> >    New text: (Section 3.2)
> >    ---------
> > 
> >    01 - Stop processing this SCTP packet and discard it, do 
> not process
> >         any further chunks within it, and report the unrecognized
> >         parameter in an 'Unrecognized Chunk Type' (in either an
> >         ERROR or in the INIT ACK).
> 
> 
> The New text still doesn't look quite right.   I believe it should be
> "unrecognized chunk' instead of 'unrecognized parameter'.  
> Additionally, I believe the reference to INIT ACK is also a cut-paste
> error from the parameter processing text.  I don't see how an
> unrecognized chunk would be reported via INIT ACK.

	I think you are completely right... :-) The text here is quite
wrong...

> Maybe:
> 
> 01 - Stop processing this SCTP packet and discard it, do not 
> process any
> futher chunks within it, and report an unrecognized chunk in an
> 'Unrecognized Chunk Type' ERROR chunk.

	I would just change it as:

   01 - Stop processing this SCTP packet and discard it, do not process
   any further chunks within it, and report the unrecognized chunk in
   an ERROR Chunk using the 'Unrecognized Chunk Type' cause of error.

	Thanks a lot for your comment. There will be a new version this
Friday, and this change will appear there.

	Bye!

	BR Iván Arias Rodríguez

> Regards,
> Jon Grimm
> 
> _______________________________________________
> tsvwg mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/tsvwg
> 

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg